Page MenuHomePhabricator

Is it still necessary to insert a row into page_props when creating a MediaInfo item for a page?
Closed, ResolvedPublic

Description

Now that we have slots I suspect that it's redundant, and perhaps the code from T177023 needs to be removed

Event Timeline

Cparle created this task.Sep 25 2018, 11:32 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 25 2018, 11:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This is a good question, why was the page prop needed in the first place?

The associated media info page (or, id) is 'M<pageId>'.
IIRC, the page_prop was added so that it would be possible to reliably find the associated mediainfo id for a file page, without having to duplicate/hard-code that logic in another client.
I don't think we still need that page_prop once it's in the same slot as the file page. I haven't checked, but I assume there's already a way to find the IDs of things in a page's slots.

I'm pretty sure UploadWizard's caption submission currently uses that page_prop, though, so we should make sure to change that before we remove the page_prop.

Ramsey-WMF triaged this task as Low priority.Nov 2 2018, 5:29 PM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.

Change 477630 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] Stop writing content to page_props, we don't use it

https://gerrit.wikimedia.org/r/477630

Change 477630 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Stop writing content to page_props, we don't use it

https://gerrit.wikimedia.org/r/477630

Cparle closed this task as Resolved.Dec 12 2018, 2:23 PM